set CMSDK_WRPR1_BASE          0x50003000
set CMSDK_WRPR1_APB0_CTRL [expr $CMSDK_WRPR1_BASE + 0x0]
set CMSDK_WRPR1_APB1_CTRL [expr $CMSDK_WRPR1_BASE + 0x4]
set CMSDK_WRPR1_APB2_CTRL [expr $CMSDK_WRPR1_BASE + 0x8]
set CMSDK_WRPR1_APB3_CTRL [expr $CMSDK_WRPR1_BASE + 0xc]
set CMSDK_WRPR1_APB4_CTRL [expr $CMSDK_WRPR1_BASE + 0x10]
set CMSDK_WRPR1_APB5_CTRL [expr $CMSDK_WRPR1_BASE + 0x14]
set CMSDK_WRPR1_APB6_CTRL [expr $CMSDK_WRPR1_BASE + 0x18]
set CMSDK_WRPR1_APB7_CTRL [expr $CMSDK_WRPR1_BASE + 0x1c]
set CMSDK_WRPR1_APB8_CTRL [expr $CMSDK_WRPR1_BASE + 0x20]
set CMSDK_WRPR1_APB9_CTRL [expr $CMSDK_WRPR1_BASE + 0x24]
set CMSDK_WRPR1_APB10_CTRL [expr $CMSDK_WRPR1_BASE + 0x28]
set CMSDK_WRPR1_APB11_CTRL [expr $CMSDK_WRPR1_BASE + 0x2c]
set CMSDK_WRPR1_APB12_CTRL [expr $CMSDK_WRPR1_BASE + 0x30]
set CMSDK_WRPR1_APB13_CTRL [expr $CMSDK_WRPR1_BASE + 0x34]
set CMSDK_WRPR1_APB14_CTRL [expr $CMSDK_WRPR1_BASE + 0x38]
set CMSDK_WRPR1_APB15_CTRL [expr $CMSDK_WRPR1_BASE + 0x3c]
set CMSDK_WRPR1_CORE_ID [expr $CMSDK_WRPR1_BASE + 0xffc]
